#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

#use FindBin;
#use lib $FindBin::Bin;
use CGI::Carp qw(fatalsToBrowser);
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}



##################################################################################

sub start
{


$hbox = acs::get_heading_box("$web_url/ic_email2.gif", "New Submission Emails (Standard Listings)", qq[When a standard link is submitted then the email responses below are sent.]);

print <<END_OF_EM;

<html>

<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css" />  
</head>

<body>




<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
  <tr>
    <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_email2.gif"></td>
    <td width="99%" valign="top" bgcolor="#FFFFFF"><table width="100%" border="0"
    cellpadding="6">
      <tr>
        <td background="$web_url/bar6.gif"><strong class="normaltext">New Submission Emails
        (Standard Listings)</strong></td>
      </tr>
      <tr>
        <td class="normaltext">When a standard link is submitted then the email responses below
        are sent.<ul>
          <li><strong><a href="$admin_url/admin21.cgi?fct=edit_welcome">Welcome Email </a><br>
            </strong>This email is sent when a submission takes place. It almost acts like an
            autoresponder because it is sent just after a user added a new listing via the 'add url'
            form. This is optional and you can disable this by <strong><a
            href="$admin_url/admin10.cgi?fct=global_settings#5">clicking here.</a><br>
            </strong>&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin21.cgi?fct=edit_newsub_accept">New Submission
            Acceptance Email </a><br>
            </strong>This email is sent to a user when his new submission has been approved for
            inclusion into the directory. <br>
            &nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin21.cgi?fct=edit_submissionreject">New Submission
            Rejection Email </a><br>
            </strong>This email is sent to a user when his new submission has not been approved for
            inclusion into the directory. <br>
            &nbsp;&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin21.cgi?fct=edit_submissioninform">New Submission
            Informer Email </a><br>
            </strong>This email is sent to you, to inform you that a new submission has been made.
            This is optional and you can disable this by <a
            href="$admin_url/admin10.cgi?fct=global_settings#5"><strong>clicking here. </strong></a></li>
        </ul>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
    <td width="99%"></td>
  </tr>
</table>
</center></div>




<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
  <tr>
    <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_email3.gif"></td>
    <td width="99%" valign="top" bgcolor="#FFFFFF" class="normaltext"><table width="100%" border="0"
    cellpadding="6">
      <tr>
        <td background="$web_url/bar6.gif"><strong class="normaltext">New Premium Submission Emails (Premium
        Listings) </strong></td>
      </tr>
      <tr>
        <td class="normaltext">When a premium link is submitted then the email responses below are
        sent. <ul>
          <li><strong><a href="$admin_url/admin24.cgi?fct=edit_welcome&amp;s=s">Welcome Email </a><br>
            </strong>This email is sent when a premium submission takes place. It almost acts like an
            autoresponder, because it is sent just after a user added a premium listing/link via the
            'premium add url' form. This is optional and you can disable this by <strong><a
            href="$admin_url/admin23.cgi">clicking here </a>. <br>
            </strong>&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin24.cgi?fct=edit_newsub_accept&amp;s=s">New Premium:
            Submission Acceptance Email </a><br>
            </strong>This email is sent to a user when his new premium submission has been approved
            for inclusion into the directory. <br>
            &nbsp;&nbsp;&nbsp; &nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin24.cgi?fct=edit_submissionreject&amp;s=s">New Premium
            Submission Rejection Email </a><br>
            </strong>This email is sent to a user when his new premium submission has not been
            approved for inclusion into the directory. This might be due to non-payment or other
            reasons. <br>
            &nbsp;&nbsp;&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin24.cgi?fct=edit_submissioninform&amp;s=s">New Premium
            Submission Informer Email </a><br>
            </strong>This email is sent to you, to inform you that a new premium submission has been
            made. This is optional and you can be disabled by <a href="$admin_url/admin23.cgi"><strong>clicking
            here. </strong></a></li>
        </ul>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_ </font></td>
    <td width="99%"></td>
  </tr>
</table>




<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
  <tr>
    <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_email1.gif"></td>
    <td width="99%" valign="top" bgcolor="#FFFFFF"><table width="100%" border="0"
    cellpadding="6">
      <tr>
        <td background="$web_url/bar6.gif"><strong class="normaltext">User Registration System Emails</strong></td>
      </tr>
      <tr>
        <td class="normaltext">The email below are sent when a user account is registered or to
        retrieve a password of a user account. Note that these emails are only used when the user
        registration system is in use. <strong>$reg_system </strong><ul>
          <li><strong><a href="$admin_url/admin54.cgi"
            onclick="popup('$admin_url/admin54.cgi',650,600, 'fieldkey');return false;">User
            Registration System Activation Email </a><br>
            </strong>When a user registers an account then an activation email is sent to the email
            address of the user. The user must then click the link inside this email to activate the
            account. You can customize this email that is sent to users registering new accounts. <strong><br>
            </strong>&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin54.cgi?fct=retrieve_pass">Password Retrieval Email </a><br>
            </strong>This email is sent to the email addresses of users requesting that their user
            name and password be sent to them through the password retrieval function.</li>
        </ul>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>








<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
  <tr>
    <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_email4.gif"></td>
    <td width="99%" valign="top" bgcolor="#FFFFFF"><table width="100%" border="0"
    cellpadding="6">
      <tr>
        <td background="$web_url/bar6.gif"><strong class="normaltext">Link Modification Emails</strong></td>
      </tr>
      <tr>
        <td class="normaltext">The responses below are sent when a link is modified. <ul>
          <li><strong><a href="$admin_url/admin19.cgi?fct=accept_modification">Modify Acceptance Email
            </a><br>
            </strong>This email is sent to a user when a link has been modified by the user and the
            users modification has been accepted. <strong><br>
            </strong>&nbsp;&nbsp; </li>
          <li><a href="$admin_url/admin19.cgi?fct=reject_modification"><strong>Modify Rejection Email <br>
            </strong></a>This email is sent to a user when a link has been modified by the user and
            the users modification has not been accepted. <br>
            &nbsp;&nbsp;&nbsp; </li>
          <li><strong><a href="$admin_url/admin19.cgi?fct=password_retrieval">Password Retrieval Email
            </a><br>
            </strong>This email is sent to users requesting their passwords to modify links. </li>
        </ul>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>



<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#E1E1E1">
  <tr>
    <td width="1%" valign="top" bgcolor="#FFFFFF"><img src="$web_url/ic_comment.gif"></td>
    <td width="99%" valign="top" bgcolor="#FFFFFF"><table width="100%" border="0"
    cellpadding="6">
      <tr>
        <td background="$web_url/bar6.gif"><strong class="normaltext">Link Modification Emails</strong></td>
      </tr>
      <tr>
        <td class="normaltext">Inform link owners of comments posted to their links and/or be
        notified when a comment is posted to a link. <ul>
          <li><strong><a href="$admin_url/admin75.cgi">Comment Notification Emails </a><br>
            </strong>Configure email notification sent when comments are posted by users to links.</li>
        </ul>
        </td>
      </tr>
    </table>
    </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>



</body>
</html>

END_OF_EM

}


####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

